Is it possible to upgrade to a specific version?

Support, Help & Advice Forum

Is it possible to upgrade to a specific version?

Postby djw1cked on Wed Sep 04, 2019 2:51 pm

Hi

I just tried updating my software to IcrTouch 2019 and it caused compatibility issues with my card terminal so I had to reinstall IcrTouch from scratch. It plainly refused to open the EFT software for whatever reason.

I reinstalled IcrTouch to what was originally purchased which is IcrTouch 2015 but I would like to update to the same as my other terminal which is IcrTouch 2017 (specific version I don't recall but can find out).

Is this possible or is it only possible to upgrade to the latest version?

Thanks
djw1cked
 
Posts: 20
Joined: Tue Oct 17, 2017 4:44 pm

Re: Is it possible to upgrade to a specific version?

Postby S1mon on Wed Sep 04, 2019 3:29 pm

In the first box, type "2017" before doing the upgrade and it will limit itself to that version, and install the latest in that version.

What is your EFT software? WorldPay by any chance?
S1mon
 
Posts: 772
Joined: Wed Apr 04, 2012 9:17 am

Re: Is it possible to upgrade to a specific version?

Postby djw1cked on Thu Sep 05, 2019 9:36 am

That's correct Worldpay as Merchant Provider using Yespay (now owned by Worldpay) EFT software.

Is there some sort of issue relating to Worldpay?
djw1cked
 
Posts: 20
Joined: Tue Oct 17, 2017 4:44 pm

Re: Is it possible to upgrade to a specific version?

Postby S1mon on Thu Sep 05, 2019 2:03 pm

Yes. As of v2019, ICR TouchPoint software no longer supports a link to WorldPay. There are various reasons for this - some commercial, some technical - but it is not something that is ever likely to change going forward.
S1mon
 
Posts: 772
Joined: Wed Apr 04, 2012 9:17 am


Return to ICRTouch

Who is online

Users browsing this forum: No registered users and 0 guests

cron

x